Bug 509029 - webui mentions next action as "Initiate a kickstart for xen guest" even for kvm guest provisioning
webui mentions next action as "Initiate a kickstart for xen guest" even for k...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Sayli Karmarkar
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-06-30 18:28 EDT by Sayli Karmarkar
Modified: 2009-09-10 15:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:27:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (75.32 KB, image/png)
2009-06-30 18:30 EDT, Sayli Karmarkar
no flags Details

  None (edit)
Description Sayli Karmarkar 2009-06-30 18:28:49 EDT
Description of problem:


1. Register kvm capable virt host to the satellite.
2. Give provisioning and virt entitlements
3. Create a kvm guest kickstart profile
4. Go to system-> virtualization -> provisioning
5. Select kvm guest profile and schedule kickstart


In details you will see:

Next Action:   Initiate a kickstart for xen guest

It should say "Initiate a kickstart for kvm guest"
Comment 1 Sayli Karmarkar 2009-06-30 18:30:05 EDT
Created attachment 350028 [details]
screenshot
Comment 2 Clifford Perry 2009-07-01 09:53:24 EDT
Shannon - suggest change to be:

Initiate a kickstart for virtual guest


make it generic :)

Cliff
Comment 3 Brad Buckingham 2009-07-01 14:33:11 EDT
master git commit: e763c895160aaf1999cb0cc21f5159d2351ea25f
vader git commit: 6e7a00f5f003ed5db2ff6dd43cadef595f032e04

This setting is actually in the database (rhnActionType) which is initially done by the rhnActionType_data.sql.  In order to address this one updated the rhnActionType_data.sql as well as added a 123-rhnActionType_data.sql to support updating existing installs.
Comment 4 Sayli Karmarkar 2009-07-06 16:04:02 EDT
Still seeing:
"Next Action:   Initiate a kickstart for xen guest" for kvm guests. 
Moving to fails_qa.
Comment 7 Sayli Karmarkar 2009-07-09 14:24:51 EDT
Now it reads "Initiate a kickstart for a virtual guest. " Moving to verified.
Comment 8 Sayli Karmarkar 2009-07-31 17:27:56 EDT
Validated. Next Action:  	 Initiate a kickstart for a virtual guest.
Comment 9 Brandon Perkins 2009-09-10 15:27:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.